diff options
author | dermoth <dermoth@nagiosplugins.org> | 2012-11-03 22:01:37 +0000 |
---|---|---|
committer | dermoth <dermoth@nagiosplugins.org> | 2012-11-03 22:04:53 +0000 |
commit | d51f87cc797cdc34249878e49d19bb2c5a44d0e5 (patch) | |
tree | fbdae1b2e88fc6a4740fb0cfdc6677766a120317 /tools/sfwebcron | |
parent | 42a7b3d6d6392a4f1a26090a8dc6de9ae93720f1 (diff) | |
download | monitoring-plugins-d51f87cc797cdc34249878e49d19bb2c5a44d0e5.tar.gz |
Update tools
- fix sfwebcron (tool updating sf developer guidelines)
- remove obsolete snapshot script
Diffstat (limited to 'tools/sfwebcron')
-rwxr-xr-x | tools/sfwebcron | 23 |
1 files changed, 12 insertions, 11 deletions
diff --git a/tools/sfwebcron b/tools/sfwebcron index d836a0fd..c270cef2 100755 --- a/tools/sfwebcron +++ b/tools/sfwebcron @@ -4,15 +4,16 @@ # To update the developers-guidelines.html and put in html area # # Install in cron with something like: -# 47 7 * * * $HOME/bin/sfwebcron +# 47 7 * * * $HOME/bin/sfwebcron >/tmp/sfwebcron.log 2>&1 || cat /tmp/sfwebcron.log -function die { echo $1; exit 1; } +set -eu +trap 'echo "Command failed at line $LINENO"' ERR # Set working variables PROJECT=nagiosplug -IN=${HOME}/tmp_sfwebcron -OUT_SERVER="tonvoon@shell.sf.net" -OUT="/home/groups/n/na/nagiosplug/htdocs" +IN=${HOME}/sfwebcron +OUT_SERVER="tonvoon@frs.sourceforge.net" +OUT_PATH="/home/groups/n/na/nagiosplug/htdocs" if [[ ! -e developer-guidelines.html.last ]] ; then touch developer-guidelines.html.last @@ -21,15 +22,15 @@ fi # Get latest dev guildelines [[ ! -d $IN ]] && mkdir $IN cd $IN -if [[ ! -d doc ]] ; then - #cvs -z3 -d:pserver:anonymous@cvs1:/cvsroot/nagiosplug co nagiosplug || die "Cannot cvs" - svn checkout http://nagiosplug.svn.sourceforge.net/svnroot/nagiosplug/nagiosplug/trunk/doc doc +if [[ ! -d nagios-plugins ]] ; then + git clone https://github.com/nagios-plugins/nagios-plugins.git nagios-plugins fi -cd doc -svn update +cd nagios-plugins/doc +git pull make if [[ developer-guidelines.html -nt developer-guidelines.html.last ]] ; then - scp developer-guidelines.{html,sgml} $OUT_SERVER:$OUT + rsync -av developer-guidelines.{html,sgml} $OUT_SERVER:$OUT_PATH/ touch developer-guidelines.html.last fi + |